/*****************************************
 	PWM example using PULSEOUT function in simpleC.
 	This code will produce a 20% to 80% PWM signal
	on a digital I/O pin pin 2(RC5) at 100 Hz.
	This can be used to drive a motor or dim an LED.
	
	Note: pulseout function and pauseus functions
	work on 10usec increments so a pulse size of
	200 is 2000 usec long. A pauseus of 1000 is 
	10,000 usec long. 1/10,000 usec = 100 Hz.

	Optional connections:
	See signal on scope:
	Oscilloscope to pin 2 to see pulse or 
	PICkit 2 logic tool.
	or
	Drive DC motor at varying speed:
	Pin 2(C5) - 1k resistor - 2N4401 Base
	2N4401 Emitter to Ground
	2N4401 Collector to Motor -
	Motor + to 5v

 ******************************************/
#define _LEGACY_HEADERS //Added for compiler versions 9.81+
#include "simplec1.1.h"

void
main(void)
{
init_micro();	// Initialize I/O

while (1==1)
	{
	for(int dc=200; dc<800; dc++)
		{
		pulseout(2,dc);		//Send increasing Duty Cycle
		pauseus(1000-dc);	//Send low delay to create 100hz
		}

		for(int dc=800; dc>200; dc--)
		{
		pulseout(2,dc);		//Send decreasing duty cycle	
		pauseus(1000-dc);	//Send low delay to create 100hz
		}				
	} //End While
	
}//End Main
