/* SPI_EEPROM example using the Microchip 25LC020
 * The program writes to the first 10 locations
 * and the then reads back those writes and displays
 * them on the LCD.
 */ 
#define _LEGACY_HEADERS //Added for compiler versions 9.81+
#include "simplec1.1.h"

#define number 0x30

void
main(void)
{

init_micro();	// Initialize PIC16F886
spi_init();		// Initialize SPI Peripheral
lcd_init();		// Initialize LCD Display						

//*** Load Data in EEPROM ***
while (1==1)
	{
		for( char addr = 0; addr < 10; addr = addr + 1)	// Loop 10 times
				{
               	char data = addr; 	    // addr value is data for SEEPROM
				WR_BYTE (addr,data);	// Write to SEEPROM
                pause (10);             // Delay 10ms after each write
                } // End For
        
//*** Continuous Loop to Read and Display Data  ***
		for( char addr = 0; addr <10; addr = addr + 1)	// Loop 10 times
				{
				lcd_clear();				// Clear LCD screen
				lcd_goto(0);				// select first line
                lcd_text("Address / Value");// Display header
                char b0 = RD_BYTE (addr);   // Read from SEEPROM
                lcd_goto(0x40);				// Select second line
                lcd_symbol(addr + number);	// Display value read from EEPROM on LCD
				lcd_text(" / ");
                lcd_symbol(b0 + number);	// Display value read from EEPROM on LCD
				pause (250);				// Delay 250 msec to see count
                } //End For

 	} //End While
} //End Main	      
