/*********************************
 PWM Example
This program reads the value on a potentiometer and drives
the PWM1(pin4/C2) with a duty cycle to match.
It also drives the PWM2(pin5/C1) with a 50% duty cycle
signal.

POT
PIN 1 - Gnd
PIN 2 - Analog pin 0
PIN 3 - 5v

Pin 4 - PWM1 output
Pin 5 - PWM2 output

**********************************/
#define _LEGACY_HEADERS //Added for compiler versions 9.81+
#include "simplec1.1.h"

void main(void) 
{
init_micro();					// Initialize I/O
char dc = (adcin(0)/10) * 4;	// Convert Pot value to 0-100% Duty Cycle
pwmout1 (dc, 5000); 			// Drive variable duty cycle at fixed Frequency (5000hz)
pwmout2 (50, 5000);				// Second PWM output 50% Duty Cycle (must use same frequency!)
pause(100);						// Pause 100msec
}